# Uses of Interface
org.apache.datasketches.memory.Positional

## Uses of Positional in org.apache.datasketches.memory

Subinterfaces of Positional in org.apache.datasketches.memory
Modifier and Type
Interface
Description
`interface`
`Buffer`
Defines the read-only API for relative positional access to a resource.
`interface`
`WritableBuffer`
Defines the writable API for relative positional access to a resource
Methods in org.apache.datasketches.memory that return Positional
Modifier and Type
Method
Description
`Positional`
Positional.`incrementPosition(long increment)`
Increments the current position by the given increment.
`Positional`
Positional.`resetPosition()`
Resets the current position to the start position, This does not modify any data.
`Positional`
Positional.`setPosition(long position)`
Sets the current position.
`Positional`
Positional.`setStartPositionEnd(long start, long position, long end)`
Sets start position, current position, and end position.